Operation CategoriesRevoke category access

Revoke category access

Soft revoke (as with other grants): the record remains for auditing, and access stops immediately.

curl -X DELETE "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/operation-categories/example_string/grants/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "revoked": true
}
DELETE
/api/v1/vaults/{code}/operation-categories/{id}/grants/{gid}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Responses

revokedboolean
Required